<!DOCTYPE html>
<html lang="en-US" dir="ltr">
  <head>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
    <meta charset="utf-8">
    <meta name="theme-color" content="#48132c">
    <title>Music</title>
    <!-- Include shared building blocks -->
    <!--<link rel="stylesheet" type="text/css" href="shared/elements/gaia-icons/gaia-icons.css"/>-->
    <!--<link rel="stylesheet" type="text/css" href="shared/elements/gaia-theme/gaia-theme.css"/>-->
    <!--<link rel="stylesheet" type="text/css" href="shared/elements/gaia-theme/gaia-font.css"/>-->
    <!--<link rel="stylesheet" type="text/css" href="shared/style/progress_activity.css"/>-->
    <link rel="stylesheet" type="text/css" href="style/main.css">

    <!-- Localization -->
    <meta name="defaultLanguage" content="en-US">
    <meta name="availableLanguages" content="af:201809261549, sq-AL:201809261549, ar:201809261549, hy-AM:201809261549, az-Latn-AZ:201809261549, be-BY:201809261549, bn-BD:201809261549, bn:201809261549, bs-BA:201809261549, bg-BG:201809261549, zh-CN:201809261549, zh-HK:201809261549, zh-TW:201809261549, hr-HR:201809261549, cs-CZ:201809261549, da-DK:201809261549, nl:201809261549, en-GB:201809261549, en-US:201809261549, et-EE:201809261549, fi-FI:201809261549, fr-CA:201809261549, fr:201809261549, ka-GE:201809261549, de:201809261549, el-GR:201809261549, he-IL:201809261549, hi:201809261549, hu:201809261549, is-IS:201809261549, id:201809261549, it:201809261549, kk-KZ:201809261549, km-KH:201809261549, ko-KR:201809261549, lo-LA:201809261549, lv-LV:201809261549, it-LT:201809261549, mk-MK:201809261549, ms:201809261549, mo-RO:201809261549, ne:201809261549, nb-NO:201809261549, fa-IR:201809261549, pl:201809261549, pt-BR:201809261549, pt-PT:201809261549, ps-AF:201809261549, ro:201809261549, ru:201809261549, sr-Latn-CS:201809261549, si-LK:201809261549, sk-SK:201809261549, sl-SI:201809261549, es:201809261549, es-US:201809261549, sw:201809261549, sv-SE:201809261549, fil-PH:201809261549, ta:201809261549, th:201809261549, tr:201809261549, uk-UA:201809261549, ur:201809261549, uz-Cyrl-UZ:201809261549, vi:201809261549, xh-ZA:201809261549, zu:201809261549">
    <link rel="localization" href="/locales-obj/{locale}.json">
    <!-- Shared code -->
    <script defer="" src="shared/js/l10n.js"></script>
    <script defer="" src="shared/js/device_storage/enumerate_all.js"></script>
    <script defer="" src="shared/js/mediadb.js"></script>
    <script defer="" src="shared/js/lazy_loader.js"></script>
    <script defer="" src="shared/js/async_storage.js"></script>
    <script defer="" src="shared/js/image_utils.js"></script>
    <script defer="" src="shared/js/text_normalizer.js"></script>
    <script defer="" src="shared/js/bluetooth_helper.js"></script>
    <script defer="" src="shared/js/media/remote_controls.js"></script>
    <script defer="" src="shared/js/omadrm/fl.js"></script>

    <!-- Web components -->
    <script defer="" src="shared/js/component_utils.js"></script>
    <script defer="" src="shared/elements/gaia_tabs/script.js"></script>
    <script defer="" src="shared/js/toaster.js"></script>
    <!-- Specific code -->
    <script defer="" src="js/utils.js"></script>
    <script defer="" src="js/navigator.js"></script>
    <script defer="" src="js/softkey.js"></script>
    <script defer="" src="js/dialog.js"></script>
    <script defer="" src="js/option_menu.js"></script>
    <script defer="" src="js/music.js"></script>
    <script defer="" src="js/db.js"></script>
    <script defer="" src="js/ui/title_bar.js"></script>
    <script defer="" src="js/ui/tab_bar.js"></script>
    <script defer="" src="js/ui/views/mode_manager.js"></script>
    <script defer="" src="js/ui/views/list_view.js"></script>
    <script defer="" src="js/ui/views/subList_view.js"></script>
    <script defer="" src="js/ui/views/search_view.js"></script>
    <script defer="" src="js/communications.js"></script>
  <meta content="2.2" name="appVersion"></head>

  <body role="application" class="theme-media">

    <header id="title">
      <h1 id="title-text" data-l10n-id="music">Music</h1>
    </header>

    <section role="region" id="region-views" class="hidden">
      <gaia-tabs id="tabs" class="h3" underline="child" selected="0" position="top">
        <a><span data-l10n-id="playlists">Playlist</span></a>
        <a><span data-l10n-id="artists">Artists</span></a>
        <a><span data-l10n-id="albums">Albums</span></a>
        <a><span data-l10n-id="songs">Songs</span></a>
      </gaia-tabs>

      <div id="views" role="heading" aria-labelledby="playlists">
        <div class="view tabs-playlists" id="views-list" tabindex="-1" role="heading" aria-labelledby="title-text">
          <div id="views-list-search">
            <input placeholder="Search" id="views-list-search-input" title="search" class="p-pri focusable" data-l10n-id="search-music" x-inputmode="verbatim" type="search">
          </div>
          <div id="list-search" class="hidden">
            <div id="views-search-no-result" class="search-category hidden">
              <p id="search-no-result" data-l10n-id="search-no-result">No tracks found.</p>
            </div>
            <div id="views-search-list" class="search-category hidden">
              <div class="sub-header p-sec" skin="dark">
                <span id="search-list-option" data-l10n-id="search-artists">Artists</span>
                  (<span id="search-list-count" class="search-result-count"></span>)
              </div>
              <div id="list-search-results" class="search-results" role="listbox">
              </div>
            </div>
          </div>
          <h5 id="list-sub-header" class="sub-header">0/0</h5>
          <div id="views-list-anchor" role="listbox"></div>
        </div>
        <div id="views-sublist" class="view hidden" tabindex="-1">
          <div id="views-sublist-search">
            <input placeholder="Search" id="views-sublist-search-input" title="search" class="focusable p-pri" data-l10n-id="search-music" x-inputmode="verbatim" type="search">
          </div>
          <div id="sublist-search" class="hidden">
            <div id="sublist-views-search-no-result" class="search-category hidden">
              <p id="search-no-result" data-l10n-id="search-no-result">No tracks found.</p>
            </div>
            <div id="sublist-views-search-result" class="search-category hidden">
              <div class="sub-header p-sec" skin="dark">
                <span data-l10n-id="search-titles">Tracks</span>
                (<span id="search-sublist-count" class="search-result-count"></span>)
              </div>
              <div id="sublist-search-results" class="search-results" role="listbox"></div>
            </div>
          </div>
          <div id="views-scrollable-sublist-anchor">
              <div id="views-sublist-anchor" role="listbox"></div>
              <div id="views-no-played-songs" class="hidden">
                <p id="no-played-songs" data-l10n-id="no-played-songs">You haven't played any songs yet.</p>
              </div>
              <div id="views-no-recently-added" class="hidden">
                <p id="no-recently-added" data-l10n-id="no-recently-added">No new songs added recently.</p>
              </div>
          </div>
        </div>
        <div id="views-player" class="view hidden" tabindex="-1">
          <div id="player-cover">
            <div id="player-cover-image"></div>
          </div>
          <div id="player-seek">
            <div id="player-cover-caption">
              <div id="player-cover-name"><bdi data-l10n-id="songName">Song name</bdi></div>
              <div id="player-cover-artist" class="p-pri"><bdi data-l10n-id="songArtist">Song artist</bdi></div>
              <div id="player-cover-album" class="p-sec"><bdi data-l10n-id="songAlbum">Song album</bdi></div>
            </div>

            <div id="player-seek-bar">
              <!--TODO: bug25691 correct the readout tag focus on-->
              <div id="first-readout"></div>
              <progress id="player-seek-bar-progress" value="0"></progress>
            </div>
            <div id="player-cover-buttons">
              <span id="player-seek-elapsed" class="p-thi" dir="ltr">00:00</span>
              <button id="player-album-shuffle" class="player-cover-button" data-icon="shuffle" aria-pressed="true"></button>
              <button id="player-album-repeat" class="player-cover-button" data-icon="repeat"></button>
              <span id="player-seek-remaining" class="p-thi" dir="ltr">00:00</span>
            </div>
          </div>
          <audio id="player-audio" class="hidden"></audio>
        </div>
      </div>

    </section>

    <!-- display messages like "Scanning", "No Songs" and "No SD Card" here -->
    <section role="region" id="overlay" class="hidden" tabindex="-1">
      <div id="overlay-content">
        <p id="overlay-text" class="ul"></p>
      </div>
    </section>

    <div class="option-menu-container hidden" tabindex="-1">
      <div class="option-menu">
        <div class="header h1" data-l10n-id="options">Options</div>
        <div class="content p-ul">
        </div>
      </div>
    </div>

    <div class="dialog-container hidden" tabindex="-1">
      <div role="heading" class="dialog">
        <div id="dialog-header-1" class="header h1" data-l10n-id="confirmation-title">Confirmation</div>
        <div class="content p-pri" tabindex="-1"></div>
      </div>
    </div>

    <form class="skbar none-paddings visible focused" data-type="action" id="softkeyPanel">
      <div><button id="software-keys-left" class="sk-button" data-position="left"></button></div>
      <div><button id="software-keys-center" class="sk-button" data-position="center"></button></div>
      <div><button id="software-keys-right" class="sk-button" data-position="right"></button></div>
    </form>
  </body>

</html>
